<?php

/**
 * Define this Export UI plugin.
 */
$plugin = array(
  'schema' => 'multi_smtp_servers',
  'access' => 'administer multi_smtp',

  'menu' => array(
    'menu prefix' => 'admin/settings',
    'menu item' => 'multi_smtp',
    'menu title' => 'Multi SMTP',
    'menu description' => 'Administer the available SMTP servers.',
  ),

  'title singular' => t('SMTP server'),
  'title plural' => t('SMTP servers'),
  'title singular proper' => t('Multi SMTP server'),
  'title plural proper' => t('Multi SMTP servers'),

  'form' => array(
    'settings' => 'multi_smtp_server_ui_edit_settings_form',
    'validate' => 'multi_smtp_server_ui_edit_settings_form_validate',
    'submit' => 'multi_smtp_server_ui_edit_settings_form_submit',
  ),

  'handler' => array(
    'class' => 'multi_smtp_server_ui',
    'parent' => 'ctools_export_ui',
  ),
);
